mgorny      14/08/13 20:53:07

  Modified:             openssl-0.9.8z_p2.ebuild openssl-1.0.2_beta2.ebuild
                        openssl-1.0.1i.ebuild ChangeLog
  Log:
  Short-circuit the $MAKEDEPEND-is-gcc to always-on since we are overriding 
MAKEDEPEND unconditionally anyway. Pass -Qunused-arguments when clang is used 
to silence the unused flag warnings that can not be fixed without major changes 
to the build system, and to make -Werror in "make depend" happier. Fixes build 
with CC values that do not end with "gcc", bug #499818, and with clang, bug 
#417795. Reviewed by Chainsaw.
  
  (Portage version: 2.2.11_p72/cvs/Linux x86_64, signed Manifest commit with 
key EFB4464E!)

Revision  Changes    Path
1.6                  dev-libs/openssl/openssl-0.9.8z_p2.ebuild

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-libs/openssl/openssl-0.9.8z_p2.ebuild?rev=1.6&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-libs/openssl/openssl-0.9.8z_p2.ebuild?rev=1.6&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-libs/openssl/openssl-0.9.8z_p2.ebuild?r1=1.5&r2=1.6

Index: openssl-0.9.8z_p2.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-libs/openssl/openssl-0.9.8z_p2.ebuild,v
retrieving revision 1.5
retrieving revision 1.6
diff -u -r1.5 -r1.6
--- openssl-0.9.8z_p2.ebuild    13 Aug 2014 15:22:41 -0000      1.5
+++ openssl-0.9.8z_p2.ebuild    13 Aug 2014 20:53:07 -0000      1.6
@@ -1,6 +1,6 @@
 # Copyright 1999-2014 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-libs/openssl/openssl-0.9.8z_p2.ebuild,v 
1.5 2014/08/13 15:22:41 maekke Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-libs/openssl/openssl-0.9.8z_p2.ebuild,v 
1.6 2014/08/13 20:53:07 mgorny Exp $
 
 # this ebuild is only for the libcrypto.so.0.9.8 and libssl.so.0.9.8 SONAME 
for ABI compat
 
@@ -63,6 +63,16 @@
                -e "/foo.*engines/s|/lib/engines|/$(get_libdir)/engines|" \
                Configure || die
 
+       # since we're forcing $(CC) as makedep anyway, just fix
+       # the conditional as always-on
+       # helps clang (#417795), and versioned gcc (#499818)
+       sed -i 's/expr.*MAKEDEPEND.*;/true;/' util/domd || die
+
+       # quiet out unknown driver argument warnings since openssl
+       # doesn't have well-split CFLAGS and we're making it even worse
+       # and 'make depend' uses -Werror for added fun (#417795 again)
+       [[ ${CC} == *clang* ]] && append-flags -Qunused-arguments
+
        # allow openssl to be cross-compiled
        cp "${FILESDIR}"/gentoo.config-0.9.8 gentoo.config || die "cp 
cross-compile failed"
        chmod a+rx gentoo.config



1.2                  dev-libs/openssl/openssl-1.0.2_beta2.ebuild

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-libs/openssl/openssl-1.0.2_beta2.ebuild?rev=1.2&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-libs/openssl/openssl-1.0.2_beta2.ebuild?rev=1.2&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-libs/openssl/openssl-1.0.2_beta2.ebuild?r1=1.1&r2=1.2

Index: openssl-1.0.2_beta2.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-libs/openssl/openssl-1.0.2_beta2.ebuild,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- openssl-1.0.2_beta2.ebuild  23 Jul 2014 05:26:08 -0000      1.1
+++ openssl-1.0.2_beta2.ebuild  13 Aug 2014 20:53:07 -0000      1.2
@@ -1,6 +1,6 @@
 # Copyright 1999-2014 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: 
/var/cvsroot/gentoo-x86/dev-libs/openssl/openssl-1.0.2_beta2.ebuild,v 1.1 
2014/07/23 05:26:08 polynomial-c Exp $
+# $Header: 
/var/cvsroot/gentoo-x86/dev-libs/openssl/openssl-1.0.2_beta2.ebuild,v 1.2 
2014/08/13 20:53:07 mgorny Exp $
 
 EAPI="4"
 
@@ -80,6 +80,16 @@
        # show the actual commands in the log
        sed -i '/^SET_X/s:=.*:=set -x:' Makefile.shared
 
+       # since we're forcing $(CC) as makedep anyway, just fix
+       # the conditional as always-on
+       # helps clang (#417795), and versioned gcc (#499818)
+       sed -i 's/expr.*MAKEDEPEND.*;/true;/' util/domd || die
+
+       # quiet out unknown driver argument warnings since openssl
+       # doesn't have well-split CFLAGS and we're making it even worse
+       # and 'make depend' uses -Werror for added fun (#417795 again)
+       [[ ${CC} == *clang* ]] && append-flags -Qunused-arguments
+
        # allow openssl to be cross-compiled
        cp "${FILESDIR}"/gentoo.config-1.0.1 gentoo.config || die
        chmod a+rx gentoo.config



1.8                  dev-libs/openssl/openssl-1.0.1i.ebuild

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-libs/openssl/openssl-1.0.1i.ebuild?rev=1.8&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-libs/openssl/openssl-1.0.1i.ebuild?rev=1.8&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-libs/openssl/openssl-1.0.1i.ebuild?r1=1.7&r2=1.8

Index: openssl-1.0.1i.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-libs/openssl/openssl-1.0.1i.ebuild,v
retrieving revision 1.7
retrieving revision 1.8
diff -u -r1.7 -r1.8
--- openssl-1.0.1i.ebuild       13 Aug 2014 15:21:57 -0000      1.7
+++ openssl-1.0.1i.ebuild       13 Aug 2014 20:53:07 -0000      1.8
@@ -1,6 +1,6 @@
 # Copyright 1999-2014 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-libs/openssl/openssl-1.0.1i.ebuild,v 
1.7 2014/08/13 15:21:57 maekke Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-libs/openssl/openssl-1.0.1i.ebuild,v 
1.8 2014/08/13 20:53:07 mgorny Exp $
 
 EAPI="4"
 
@@ -81,6 +81,16 @@
        # show the actual commands in the log
        sed -i '/^SET_X/s:=.*:=set -x:' Makefile.shared
 
+       # since we're forcing $(CC) as makedep anyway, just fix
+       # the conditional as always-on
+       # helps clang (#417795), and versioned gcc (#499818)
+       sed -i 's/expr.*MAKEDEPEND.*;/true;/' util/domd || die
+
+       # quiet out unknown driver argument warnings since openssl
+       # doesn't have well-split CFLAGS and we're making it even worse
+       # and 'make depend' uses -Werror for added fun (#417795 again)
+       [[ ${CC} == *clang* ]] && append-flags -Qunused-arguments
+
        # allow openssl to be cross-compiled
        cp "${FILESDIR}"/gentoo.config-1.0.1 gentoo.config || die
        chmod a+rx gentoo.config



1.587                dev-libs/openssl/ChangeLog

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-libs/openssl/ChangeLog?rev=1.587&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-libs/openssl/ChangeLog?rev=1.587&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-libs/openssl/ChangeLog?r1=1.586&r2=1.587

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-libs/openssl/ChangeLog,v
retrieving revision 1.586
retrieving revision 1.587
diff -u -r1.586 -r1.587
--- ChangeLog   13 Aug 2014 15:22:41 -0000      1.586
+++ ChangeLog   13 Aug 2014 20:53:07 -0000      1.587
@@ -1,6 +1,15 @@
 # ChangeLog for dev-libs/openssl
 # Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/dev-libs/openssl/ChangeLog,v 1.586 
2014/08/13 15:22:41 maekke Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-libs/openssl/ChangeLog,v 1.587 
2014/08/13 20:53:07 mgorny Exp $
+
+  13 Aug 2014; Michał Górny <mgo...@gentoo.org> openssl-0.9.8z_p2.ebuild,
+  openssl-1.0.1i.ebuild, openssl-1.0.2_beta2.ebuild:
+  Short-circuit the $MAKEDEPEND-is-gcc to always-on since we are overriding
+  MAKEDEPEND unconditionally anyway. Pass -Qunused-arguments when clang is used
+  to silence the unused flag warnings that can not be fixed without major
+  changes to the build system, and to make -Werror in "make depend" happier.
+  Fixes build with CC values that do not end with "gcc", bug #499818, and with
+  clang, bug #417795. Reviewed by Chainsaw.
 
   13 Aug 2014; Markus Meier <mae...@gentoo.org> openssl-0.9.8z_p2.ebuild:
   arm stable, bug #519264




Reply via email to